# Audit Events

## GET /audit-events

> Get audit events

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/audit-events":{"get":{"tags":["audit-events"],"summary":"Get audit events","parameters":[{"schema":{"type":"string"},"description":"Name of the configuration","name":"configuration-name","in":"query"},{"schema":{"type":"string"},"description":"User associated with the audit event","name":"user","in":"query"},{"schema":{"type":"string"},"description":"Minimum date for the audit event query in YYYYMMDDHHMMSS format","name":"min-date","in":"query"},{"schema":{"type":"string"},"description":"Maximum date for the audit event query in YYYYMMDDHHMMSS format","name":"max-date","in":"query"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/model.AuditEvent"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.AuditEvent":{"type":"object","properties":{"account":{"description":"Account is the account that the event occurred on. May be nil in the case of single-account.","type":"string"},"action":{"description":"Action is the action that was taken on the resource","type":"string"},"configuration":{"description":"Configuration is the name of the configuration affected. This may be nil if there is not associated configuration.","type":"string"},"description":{"description":"Description is a readable description of the event","type":"string"},"id":{"description":"ID is a ULID uniquely identifying this event","type":"string"},"resourceKind":{"description":"ResourceKind is the resource that was modified","allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"resourceName":{"description":"ResourceName is the resource name","type":"string"},"timestamp":{"description":"Timestamp is the time this event occurred","type":"string"},"user":{"description":"User is the user that modified the resource","type":"string"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## GET /audit-events/download

> Download audit events in CSV format

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/audit-events/download":{"get":{"tags":["audit-events"],"summary":"Download audit events in CSV format","parameters":[{"schema":{"type":"string"},"description":"Name of the configuration","name":"configuration-name","in":"query"},{"schema":{"type":"string"},"description":"User associated with the audit event","name":"user","in":"query"},{"schema":{"type":"string"},"description":"Minimum date for the audit event query in YYYYMMDDHHMMSS format","name":"min-date","in":"query"},{"schema":{"type":"string"},"description":"Maximum date for the audit event query in YYYYMMDDHHMMSS format","name":"max-date","in":"query"}],"responses":{"200":{"description":"Returns an octet-stream of the requested CSV file"},"400":{"description":"Bad Request","content":{"application/octet-stream":{}}},"401":{"description":"Unauthorized","content":{"application/octet-stream":{}}},"500":{"description":"Internal Server Error","content":{"application/octet-stream":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/cli-and-api/api/audit-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
